diff --git a/plugins/TelescopeControl/src/INDI/CMakeLists.txt b/plugins/TelescopeControl/src/INDI/CMakeLists.txt
index a250e1bb0f..f14007c392 100644
--- a/plugins/TelescopeControl/src/INDI/CMakeLists.txt
+++ b/plugins/TelescopeControl/src/INDI/CMakeLists.txt
@@ -25,7 +25,7 @@ add_library(TelescopeControl_INDI STATIC
 target_link_libraries(TelescopeControl_INDI
     Qt5::Core
     Qt5::Network
-    indiclient
+    -lindiclient
     TelescopeControl_common
     ${CMAKE_THREAD_LIBS_INIT}
     )
diff --git a/plugins/TelescopeControl/src/INDI/INDIConnection.cpp b/plugins/TelescopeControl/src/INDI/INDIConnection.cpp
index f401dc7049..d890d3aa14 100644
--- a/plugins/TelescopeControl/src/INDI/INDIConnection.cpp
+++ b/plugins/TelescopeControl/src/INDI/INDIConnection.cpp
@@ -25,9 +25,9 @@
 #include <limits>
 #include <cmath>
 
-#include "indibase/baseclient.h"
-#include "indibase/basedevice.h"
-#include "indibase/inditelescope.h"
+#include "libindi/baseclient.h"
+#include "libindi/basedevice.h"
+#include "libindi/inditelescope.h"
 
 const int INDIConnection::SLEW_STOP = INDI::Telescope::SLEW_GUIDE - 1;
 
diff --git a/plugins/TelescopeControl/src/INDI/INDIConnection.hpp b/plugins/TelescopeControl/src/INDI/INDIConnection.hpp
index 111ad2cdba..80ead01137 100644
--- a/plugins/TelescopeControl/src/INDI/INDIConnection.hpp
+++ b/plugins/TelescopeControl/src/INDI/INDIConnection.hpp
@@ -20,7 +20,7 @@
 #define INDICONNECTION_HPP
 
 #include <QObject>
-#include "indibase/baseclient.h"
+#include "libindi/baseclient.h"
 
 #include <mutex>
 #include <QStringList>
diff --git a/plugins/TelescopeControl/src/INDI/TelescopeClientINDI.cpp b/plugins/TelescopeControl/src/INDI/TelescopeClientINDI.cpp
index 6bd7754ff5..633d4ae7b2 100644
--- a/plugins/TelescopeControl/src/INDI/TelescopeClientINDI.cpp
+++ b/plugins/TelescopeControl/src/INDI/TelescopeClientINDI.cpp
@@ -24,7 +24,7 @@
 
 #include "StelCore.hpp"
 #include "StelUtils.hpp"
-#include "indibase/inditelescope.h"
+#include "libindi/inditelescope.h"
 #include "INDIControlWidget.hpp"
 
 TelescopeClientINDI::TelescopeClientINDI(const QString &name, const QString &params):
diff --git a/plugins/TelescopeControl/src/INDI/test/testINDIConnection.cpp b/plugins/TelescopeControl/src/INDI/test/testINDIConnection.cpp
index 6c1a281ec5..ca7b7e0c40 100644
--- a/plugins/TelescopeControl/src/INDI/test/testINDIConnection.cpp
+++ b/plugins/TelescopeControl/src/INDI/test/testINDIConnection.cpp
@@ -22,7 +22,7 @@
 #include <cmath>
 
 #include "INDIConnection.hpp"
-#include "indibase/basedevice.h"
+#include "libindi/basedevice.h"
 
 void TestINDIConnection::deafultCoordinates()
 {
diff --git a/src/external/CMakeLists.txt b/src/external/CMakeLists.txt
index 6fcf7678da..a59d8c121c 100644
--- a/src/external/CMakeLists.txt
+++ b/src/external/CMakeLists.txt
@@ -176,7 +176,7 @@ target_link_libraries(qxlsx_stel Qt5::Core Qt5::Gui qtcompress_stel)
 set_target_properties(qxlsx_stel PROPERTIES FOLDER "src/external")
 
 ################################# INDI ################################
-IF(USE_PLUGIN_TELESCOPECONTROL)
+IF(USE_PLUGIN_TELESCOPECONTROL AND 0)
     set(INDI_SOVERSION "1")
     set(CMAKE_INDI_VERSION_MAJOR 1)
     set(CMAKE_INDI_VERSION_MINOR 6)
